<!DOCTYPE html>
<html>

<head>

<meta charset="utf-8" />
<title>pagespec</title>

<link rel="stylesheet" href="../../style.css" type="text/css" />

<link rel="stylesheet" href="../../navbar.css" type="text/css" />


<link rel="stylesheet" href="../../local.css" type="text/css" />






<meta name="robots" content="noindex, follow" />



</head>
<body>

<article class="page">

<section class="pageheader">
<header class="header" style="width: 100%">
<span style="width: 50px; float: left; padding-right: 10px;">
<img src="../../images/logo-debian.png" width="50" height="61">
</span>
<span style="float: right; width: 147px; padding-left: 10px;">
<a href="http://lca2015.linux.org.au"><img src="../../images/logo-lca2015.png" style="padding-right: 10px;"></a>
</span>
<span style="float: left;">
<span class="parentlinks">


<a href="../../">LCA2015 Debian Miniconf & NZ2015 mini-DebConf</a>/ 

<a href="../">ikiwiki</a>/ 


</span>
<span class="title">
pagespec

</span>
</span>



</header>









</section>



<aside class="sidebar">


<div><div class="calendar"><table class="month-calendar">
    <tr>
    <th class="month-calendar-arrow"></th>
    <th class="month-calendar-head" colspan="5">February 2015</th>
    <th class="month-calendar-arrow"></th>
    </tr>
    <tr>
        <th class="month-calendar-day-head Sunday" title="Sunday">S</th>
        <th class="month-calendar-day-head Monday" title="Monday">M</th>
        <th class="month-calendar-day-head Tuesday" title="Tuesday">T</th>
        <th class="month-calendar-day-head Wednesday" title="Wednesday">W</th>
        <th class="month-calendar-day-head Thursday" title="Thursday">T</th>
        <th class="month-calendar-day-head Friday" title="Friday">F</th>
        <th class="month-calendar-day-head Saturday" title="Saturday">S</th>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">1</td>
        <td class="month-calendar-day-nolink Monday">2</td>
        <td class="month-calendar-day-nolink Tuesday">3</td>
        <td class="month-calendar-day-nolink Wednesday">4</td>
        <td class="month-calendar-day-nolink Thursday">5</td>
        <td class="month-calendar-day-nolink Friday">6</td>
        <td class="month-calendar-day-nolink Saturday">7</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">8</td>
        <td class="month-calendar-day-nolink Monday">9</td>
        <td class="month-calendar-day-nolink Tuesday">10</td>
        <td class="month-calendar-day-nolink Wednesday">11</td>
        <td class="month-calendar-day-nolink Thursday">12</td>
        <td class="month-calendar-day-this-day Friday"><div class="popup">13<div class="balloon"><ul>
            <li><a href="../../posts/Slides/" title="Slides">Slides</a></li>
        </ul></div></div></td>
        <td class="month-calendar-day-future Saturday">14</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">15</td>
        <td class="month-calendar-day-nolink Monday">16</td>
        <td class="month-calendar-day-nolink Tuesday">17</td>
        <td class="month-calendar-day-nolink Wednesday">18</td>
        <td class="month-calendar-day-nolink Thursday">19</td>
        <td class="month-calendar-day-nolink Friday">20</td>
        <td class="month-calendar-day-nolink Saturday">21</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">22</td>
        <td class="month-calendar-day-nolink Monday">23</td>
        <td class="month-calendar-day-nolink Tuesday">24</td>
        <td class="month-calendar-day-nolink Wednesday">25</td>
        <td class="month-calendar-day-nolink Thursday">26</td>
        <td class="month-calendar-day-nolink Friday">27</td>
        <td class="month-calendar-day-nolink Saturday">28</td>
    </tr>
</table>
</div></div>


<p><a href="../../archives/">Archives</a></p>

<p><a href="../../tags/">Tags</a>:</p>

<ul class="list">
</ul>




</aside>



<nav id="navbar">
<!-- The navbar -->
<div class="navbar">



<div class="tabs">
 <ul>
  <li><a href="../../"><span>Home</span></a></li>
  <li><a href="../../About_Us/"><span>About Us</span></a></li>
  <li><a href="../../Programme/"><span>Programme</span></a></li>
  <li><a href="../../Accommodation/"><span>Accommodation</span></a></li>
  <li><a href="../../Call_for_Presentations/"><span>CFP</span></a></li>
  <li><a href="../../posts/"><span>Blog</span></a></li>
 </ul>
</div>

</div>
<span class="endNavbar"></span>
<!-- end of navbar -->

<section id="sponsors">
<h1>Sponsors</h2>
<a href="http://www.catalyst.net.nz"><img alt="Catalyst Logo" src="../../images/CatalystLogoWithTagline_130w.png" width="130" height="65"></a>
</section>
</nav>


<div id="pagebody">

<section id="content" role="main">
<p>To select a set of pages, such as pages that are locked, pages
whose commit emails you want subscribe to, or pages to combine into a
blog, the wiki uses a PageSpec. This is an expression that matches
a set of pages.</p>

<p>The simplest PageSpec is a simple list of pages. For example, this matches
any of the three listed pages:</p>

<pre><code>foo or bar or baz
</code></pre>

<p>More often you will want to match any pages that have a particular thing in
their name. You can do this using a glob pattern. "<code>*</code>" stands for any part
of a page name, and "<code>?</code>" for any single letter of a page name. So this
matches all pages about music, and any <a href="../subpage/">SubPage</a>s of the SandBox, but does
not match the SandBox itself:</p>

<pre><code>*music* or SandBox/*
</code></pre>

<p>You can also prefix an item with "<code>!</code>" to skip pages that match it. So to
match all pages except for Discussion pages and the SandBox:</p>

<pre><code>* and !SandBox and !*/Discussion
</code></pre>

<p>Some more elaborate limits can be added to what matches using these functions:</p>

<ul>
<li>"<code>glob(someglob)</code>" - matches pages and other files that match the given glob.
Just writing the glob by itself is actually a shorthand for this function.</li>
<li>"<code>page(glob)</code>" - like <code>glob()</code>, but only matches pages, not other files</li>
<li>"<code>link(page)</code>" - matches only pages that link to a given page (or glob)</li>
<li>"<code>tagged(tag)</code>" - matches pages that are tagged or link to the given tag (or
tags matched by a glob)</li>
<li>"<code>backlink(page)</code>" - matches only pages that a given page links to</li>
<li>"<code>creation_month(month)</code>" - matches only files created on the given month
number</li>
<li>"<code>creation_day(mday)</code>" - or day of the month</li>
<li>"<code>creation_year(year)</code>" - or year</li>
<li>"<code>created_after(page)</code>" - matches only files created after the given page
was created</li>
<li>"<code>created_before(page)</code>" - matches only files created before the given page
was created</li>
<li>"<code>internal(glob)</code>" - like <code>glob()</code>, but matches even internal-use
pages that globs do not usually match.</li>
<li>"<code>title(glob)</code>", "<code>author(glob)</code>", "<code>authorurl(glob)</code>",
"<code>license(glob)</code>", "<code>copyright(glob)</code>", "<code>guid(glob)</code>"

<ul>
<li>match pages that have the given metadata, matching the specified glob.</li>
</ul>
</li>
<li>"<code>user(username)</code>" - tests whether a modification is being made by a
user with the specified username. If openid is enabled, an openid can also
be put here. Glob patterns can be used in the username. For example,
to match all openid users, use <code>user(*://*)</code></li>
<li>"<code>admin()</code>" - tests whether a modification is being made by one of the
wiki admins.</li>
<li>"<code>ip(address)</code>" - tests whether a modification is being made from the
specified IP address. Glob patterns can be used in the address. For
example, <code>ip(127.0.0.*)</code></li>
<li>"<code>comment(glob)</code>" - matches comments to a page matching the glob.</li>
<li>"<code>comment_pending(glob)</code>" - matches unmoderated, pending comments.</li>
<li>"<code>postcomment(glob)</code>" - matches only when comments are being
posted to a page matching the specified glob</li>
</ul>


<p>For example, to match all pages in a blog that link to the page about music
and were written in 2005:</p>

<pre><code>blog/* and link(music) and creation_year(2005)
</code></pre>

<p>Note the use of "and" in the above example, that means that only pages that
match each of the three expressions match the whole. Use "and" when you
want to combine expression like that; "or" when it's enough for a page to
match one expression. Note that it doesn't make sense to say "index and
SandBox", since no page can match both expressions.</p>

<p>More complex expressions can also be created, by using parentheses for
grouping. For example, to match pages in a blog that are tagged with either
of two tags, use:</p>

<pre><code>blog/* and (tagged(foo) or tagged(bar))
</code></pre>

<p>Note that page names in PageSpecs are matched against the absolute
filenames of the pages in the wiki, so a pagespec "foo" used on page
"a/b" will not match a page named "a/foo" or "a/b/foo". To match
relative to the directory of the page containing the pagespec, you can
use "./". For example, "./foo" on page "a/b" matches page "a/foo".</p>

<p>To indicate the name of the page the PageSpec is used in, you can
use a single dot. For example, <code>link(.)</code> matches all the pages
linking to the page containing the PageSpec.</p>

</section>







</div>

<footer id="footer" class="pagefooter" role="contentinfo">

<nav id="pageinfo">






<nav id="backlinks">
Links:

<a href="../">ikiwiki</a>

<a href="./attachment/">pagespec/attachment</a>

<a href="./po/">pagespec/po</a>

<a href="./sorting/">pagespec/sorting</a>


</nav>






<div class="pagedate">
Last edited <time datetime="2014-09-12T20:23:58Z">Sat 13 Sep 2014 08:23:58 NZST</time>
<!-- Created <time datetime="2013-07-11T02:04:36Z" pubdate="pubdate">Thu 11 Jul 2013 14:04:36 NZST</time> -->
</div>

</nav>


<!-- from LCA2015 Debian Miniconf & NZ2015 mini-DebConf -->
</footer>

</article>

</body>
</html>
